class	CharStak
{
	private  	char [ ] 	charTab;
	private		int				top;
	private		int				stakSize;

  //  Precondition:  0 < nyStakSize <1000
  //  Postcondition:  Der er oprettet er array til taltab med nyStakSize elementer. "top" har vrdien -1, svarende til at stakken er tom. stakSize indeholder antal elementer i taltab.
	public   	CharStak		( int nyStakSize )
	{
		charTab =  new  char [ nyStakSize ];
		top = -1;
		stakSize = nyStakSize;
	}

  //  Precondition:  ingen
  //  Postcontition:  Der returneres true hvis top < 0 og ellers returneres false
	public  	boolean  	isEmpty  ( ) 
	{
		return ( top < 0 );
	}

  //  Precondition:  ingen
  //  Postcontition:  Der returneres false hvis top < stakSize-1 og ellers returneres true
	public  	boolean  	isFull  ( ) 
	{
		return (  ! ( top < stakSize-1 ) );
	}

  //  Precondition:  top < stakSize-1
  //  Postcontition:  top talt op med 1 og tal pladseret i taltab p index top 
	public  	void  		push  ( char tegn )
	{
		++top;
		charTab [ top ] = tegn;
	}

  //  Precondition:  top >= 0
  //  Postcontition:  vrdien fra taltab indexeret med top som gjalt ved precondition returneres. top er reduceret med 1 
	public  	char  		pop  (  )
	{
		char  tegn 	= charTab [ top ];
		top--;
		return ( tegn );
	}
}