class	TalStak
{
	private  	int [ ] 	talTab;
	private		int	top;
	private		int	stakSize;

  //  Precondition:  0 < nyStakSize <1000
  //  Postcondition:  Der er oprettet er array til taltab med nyStakSize elementer. "top" har vrdien -1, svarende til at stakken er tom. stakSize indeholder antal elementer i taltab.
	public   	TalStak		( int nyStakSize )
	{
		talTab =  new  int [ nyStakSize ];
		top = -1;
		stakSize = nyStakSize;
	}

  //  Precondition:  ingen
  //  Postcontition:  Der returneres true hvis top < 0 og ellers returneres false
	public  	boolean  		isEmpty  ( ) 
	{
		return ( top < 0 );
	}

  //  Precondition:  ingen
  //  Postcontition:  Der returneres false hvis top < stakSize-1 og ellers returneres true
	public  	boolean  		isFull  ( ) 
	{
		return (  ! ( top < stakSize-1 ) );
	}

  //  Precondition:  top < stakSize-1
  //  Postcontition:  top talt op med 1 og tal pladseret i taltab p index top 
	public  	void  			push  ( int tal )
	{
		++top;
		talTab [ top ] = tal;
	}

  //  Precondition:  top >= 0
  //  Postcontition:  vrdien fra taltab indexeret med top som gjalt ved precondition returneres. top er reduceret med 1 
	public  	int					pop  (  )
	{
		int tal 	= talTab [ top ];
		top--;
		return ( tal );
	}
}